## org.apache.mahout.classifier.bayes.mapreduce.cbayes
Class CBayesThetaNormalizerReducer

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.classifier.bayes.mapreduce.cbayes.CBayesThetaNormalizerReducer

All Implemented Interfaces:
  java.io.Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Reducer<StringTuple,org.apache.hadoop.io.DoubleWritable,StringTuple,org.apache.hadoop.io.DoubleWritable>

    public class CBayesThetaNormalizerReducer

extends org.apache.hadoop.mapred.MapReduceBase
implements org.apache.hadoop.mapred.Reducer<StringTuple,org.apache.hadoop.io.DoubleWritable,StringTuple,org.apache.hadoop.io.DoubleWritable>

Can also be used as a local Combiner beacuse only two values should be there inside the values

Constructor Summary
`CBayesThetaNormalizerReducer()`

Method Summary
`void` `close()`
`void` `configure(org.apache.hadoop.mapred.JobConf job)`
`void` `reduce(StringTuple key, java.util.Iterator<org.apache.hadoop.io.DoubleWritable> values, org.apache.hadoop.mapred.OutputCollector<StringTuple,org.apache.hadoop.io.DoubleWritable> output, org.apache.hadoop.mapred.Reporter reporter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CBayesThetaNormalizerReducer

    public CBayesThetaNormalizerReducer()

Method Detail

### reduce

    public void reduce(StringTuple key,
                       java.util.Iterator<org.apache.hadoop.io.DoubleWritable> values,
                       org.apache.hadoop.mapred.OutputCollector<StringTuple,org.apache.hadoop.io.DoubleWritable> output,
                       org.apache.hadoop.mapred.Reporter reporter)
                throws java.io.IOException

  Specified by:
    `reduce` in interface `org.apache.hadoop.mapred.Reducer<StringTuple,org.apache.hadoop.io.DoubleWritable,StringTuple,org.apache.hadoop.io.DoubleWritable>`
  Throws:
    `java.io.IOException`

### configure

    public void configure(org.apache.hadoop.mapred.JobConf job)

  Specified by:
    `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`
  Overrides:
    `configure` in class `org.apache.hadoop.mapred.MapReduceBase`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `org.apache.hadoop.mapred.MapReduceBase`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.